---
title: FormDataEvent.formData
slug: Web/API/FormDataEvent/formData
tags:
  - API
  - Experimental
  - FormDataEvent
  - Forms
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code>formData</code> read only property of the {{domxref("FormDataEvent")}} interface contains the {{domxref("FormData")}} object representing the data contained in the form when the event was fired.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>formData</em> = formDataEvent.formData</pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("FormData")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// grab reference to form

const formElem = document.querySelector('form');

// submit handler

formElem.addEventListener('submit', (e) =&gt; {
  // on form submission, prevent default
  e.preventDefault();

  // construct a FormData object, which fires the formdata event
  new FormData(formElem);
});

// formdata handler to retrieve data

formElem.addEventListener('formdata', (e) =&gt; {
  console.log('formdata fired');

  // Get the form data from the event object
  let data = e.formData;
  for (var value of data.values()) {
    console.log(value);
  }

  // submit the data via XHR
  var request = new XMLHttpRequest();
  request.open("POST", "/formHandler");
  request.send(data);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-formdataevent-formdata', 'formData')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FormDataEvent.formData")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("XMLHTTPRequest")}}</li>
 <li><a href="/en-US/docs/Web/API/XMLHttpRequest/Using_XMLHttpRequest">Using XMLHttpRequest</a></li>
 <li><a href="/en-US/docs/Web/API/FormData/Using_FormData_Objects">Using FormData objects</a></li>
 <li>{{HTMLElement("Form")}}</li>
</ul>
